Bug 228206 - Ricoh R5C592 memory card reader 5-in-1 doesn't work on Lenovo N100 3000
Ricoh R5C592 memory card reader 5-in-1 doesn't work on Lenovo N100 3000
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-11 09:28 EST by FedPetr
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-11 14:33:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description FedPetr 2007-02-11 09:28:55 EST
Description of problem:
Ricoh R5C592 memory card reader 5-in-1 doesn't work on Lenovo N100 3000

Version-Release number of selected component (if applicable):
Current FC_7_test_1

How reproducible:
lsmod | grep -i mmc

mmc_block 12040 0
mmc_core 28672 2 mmc_block,sdhci


dmesg | grep -i mmc

PCI: Using MMCONFIG
sr0: scsi3-mmc drive: 62x/62x writer dvd-ram cd/rw xa/form2 cdda tray
mmc0: SDHCI at 0xb0300400 irq 225 DMA


dmesg | grep -i sdhci

sdhci: Secure Digital Host Controller Interface driver, 0.12
sdhci: Copyright(c) Pierre Ossman
sdhci: SDHCI controller found at 0000:05:06.1 [1180:0822] (rev 19)
mmc0: SDHCI at 0xb0300400 irq 225 DMA


cat /proc/devices

Character devices:
1 mem
2 pty
3 ttyp
4 /dev/vc/0
4 tty
4 ttyS
5 /dev/tty
5 /dev/console
5 /dev/ptmx
7 vcs
10 misc
13 input
14 sound
21 sg
29 fb
116 alsa
128 ptm
136 pts
171 ieee1394
180 usb
189 usb_device
216 rfcomm
226 drm
254 pcmcia

Block devices:
1 ramdisk
7 loop
8 sd
9 md
11 sr
65 sd
66 sd
67 sd
68 sd
69 sd
70 sd
71 sd
128 sd
129 sd
130 sd
131 sd
132 sd
133 sd
134 sd
135 sd
252 mmc
253 device-mapper
254 mdp


lspci

00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS/940GML and 945GT
Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS/940GML
Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/940GML Express
Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2
(rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev
02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 (rev
02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 (rev
02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 (rev
02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge
(rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) Serial ATA
Storage Controller IDE (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
03:00.0 Network controller: Broadcom Corporation BCM4310 UART (rev 01)
05:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
05:04.0 CardBus bridge: ENE Technology Inc CB1410 Cardbus Controller (rev 01)
05:06.0 FireWire (IEEE 1394): Ricoh Co Ltd Unknown device 0832
05:06.1 Generic system peripheral [Class 0805]: Ricoh Co Ltd R5C822
SD/SDIO/MMC/MS/MSPro Host Adapter (rev 19)
05:06.2 System peripheral: Ricoh Co Ltd Unknown device 0843 (rev 01)
05:06.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter
(rev 0a)
05:06.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 05)


lspci -n

00:00.0 Class 0600: 8086:27a0 (rev 03)
00:02.0 Class 0300: 8086:27a2 (rev 03)
00:02.1 Class 0380: 8086:27a6 (rev 03)
00:1b.0 Class 0403: 8086:27d8 (rev 02)
00:1c.0 Class 0604: 8086:27d0 (rev 02)
00:1c.1 Class 0604: 8086:27d2 (rev 02)
00:1d.0 Class 0c03: 8086:27c8 (rev 02)
00:1d.1 Class 0c03: 8086:27c9 (rev 02)
00:1d.2 Class 0c03: 8086:27ca (rev 02)
00:1d.3 Class 0c03: 8086:27cb (rev 02)
00:1d.7 Class 0c03: 8086:27cc (rev 02)
00:1e.0 Class 0604: 8086:2448 (rev e2)
00:1f.0 Class 0601: 8086:27b9 (rev 02)
00:1f.2 Class 0101: 8086:27c4 (rev 02)
00:1f.3 Class 0c05: 8086:27da (rev 02)
03:00.0 Class 0280: 14e4:4312 (rev 01)
05:01.0 Class 0200: 10ec:8139 (rev 10)
05:04.0 Class 0607: 1524:1410 (rev 01)
05:06.0 Class 0c00: 1180:0832
05:06.1 Class 0805: 1180:0822 (rev 19)
05:06.2 Class 0880: 1180:0843 (rev 01)
05:06.3 Class 0880: 1180:0592 (rev 0a)
05:06.4 Class 0880: 1180:0852 (rev 05)


lsusb

Bus 002 Device 001: ID 0000:0000
Bus 004 Device 001: ID 0000:0000
Bus 001 Device 003: ID 0a5c:2101 Broadcom Corp.
Bus 001 Device 001: ID 0000:0000
Bus 005 Device 006: ID 0ea0:2168 Ours Technology, Inc. Transcend JetFlash 2.0 /
Astone USB Drive
Bus 005 Device 003: ID 0c45:624f Microdia
Bus 005 Device 001: ID 0000:0000
Bus 003 Device 002: ID 08ff:2580 AuthenTec, Inc.
Bus 003 Device 001: ID 0000:0000


mknod /dev/mmc b 252 0
mknod /dev/mmc0 b 252 1

Steps to Reproduce:
1.
mount /dev/mmc /mnt
mount: /dev/mmc is not a valid block device.


mount /dev/mmc0 /mnt
mount: /dev/mmc0 is not a valid block device.

2.
Nothing as mmc in /proc/partitions.


Nothing as mmc in /sys/block.

3.
cat /proc/interrupts
IRQ on the sdhci line increasing up baldheaded and dmesg never knows, that card
is inserted or removed.


Actual results:
With irqpoll or pci=route-irq kernel option, IRQ on the sdhci line never changed
and dmesg never knows, that card is inserted or removed.

Expected results:
Irq 225 in /proc/interrupts increases when you insert a card.

Additional info:
Same behaviour on Mandriva, Ubuntu, ForeSight linux.
Comment 1 Chuck Ebbert 2007-02-11 14:33:30 EST
Doesn't work on my system either (Acer 5102)
Since sdhci is experimental and known not to work on many systems I am going to
close this bug.

Buy a compact external reader, e.g.
http://www.crucial.com/store/partspecs.aspx?imodule=CTR2MMPU2

That's what I did.

Comment 2 Bill Nottingham 2007-03-02 12:39:21 EST
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.

Note You need to log in before you can comment on or make changes to this bug.